# petsc4py.PETSc.LogEvent

class petsc4py.PETSc.LogEvent

  Bases: `object`

  Logging support.

  Methods Summary

  `activate`() | Indicate that the event should be logged.
  `begin`(*objs) | Log the beginning of a user event.
  `deactivate`() | Indicate that the event should not be logged.
  `end`(*objs) | Log the end of a user event.
  `getActive`() | Not implemented.
  `getActiveAll`() | Not implemented.
  `getName`() | The current event name.
  `getPerfInfo`([stage]) | Get the performance information about the given event in the given event.
  `setActive`(flag) | Indicate whether or not the event should be logged.
  `setActiveAll`(flag) | Turn on logging of all events.

  Attributes Summary

  `active` | Event activation.
  `active_all` | All events activation.
  `id` | The log event identifier.
  `name` | The current event name.

  Methods Documentation

  activate()

    Indicate that the event should be logged.

    Logically collective.

    See also

    `PetscLogEventActivate`

    Source code at petsc4py/PETSc/Log.pyx:552

    Return type:

      None

  begin(*objs)

    Log the beginning of a user event.

    Collective.

    Parameters:

      *objs – objects associated with the event

    Return type:

      None

    See also

    `PetscLogEventBegin`

    Source code at petsc4py/PETSc/Log.pyx:496

  deactivate()

    Indicate that the event should not be logged.

    Logically collective.

    See also

    `PetscLogEventDeactivate`

    Source code at petsc4py/PETSc/Log.pyx:564

    Return type:

      None

  end(*objs)

    Log the end of a user event.

    Collective.

    Parameters:

      *objs – Objects associated with the event.

    Return type:

      None

    See also

    `PetscLogEventEnd`

    Source code at petsc4py/PETSc/Log.pyx:515

  getActive()

    Not implemented.

    Source code at petsc4py/PETSc/Log.pyx:576

    Return type:

      bool

  getActiveAll()

    Not implemented.

    Source code at petsc4py/PETSc/Log.pyx:609

    Return type:

      bool

  getName()

    The current event name.

    Source code at petsc4py/PETSc/Log.pyx:535

    Return type:

      str

  getPerfInfo(stage=None)

    Get the performance information about the given event in the given event.

    Not collective.

    Parameters:

      stage (int | None) – The stage number.

    Returns:

      info – This structure is filled with the performance information.

    Return type:

      `dict`

    See also

    `PetscLogEventGetPerfInfo`

    Source code at petsc4py/PETSc/Log.pyx:643

  setActive(flag)

    Indicate whether or not the event should be logged.

    Logically collective.

    Parameters:

      flag (bool) – Activate or deactivate the event.

    Return type:

      None

    See also

    `PetscLogEventDeactivate`, `PetscLogEventActivate`

    Source code at petsc4py/PETSc/Log.pyx:581

  setActiveAll(flag)

    Turn on logging of all events.

    Logically collective.

    Parameters:

      flag (bool) – Activate (if `True`) or deactivate (if `False`) the logging of all events.

    Return type:

      None

    See also

    `PetscLogEventSetActiveAll`

    Source code at petsc4py/PETSc/Log.pyx:614

  Attributes Documentation

  active

    Event activation.

    Source code at petsc4py/PETSc/Log.pyx:601

  active_all

    All events activation.

    Source code at petsc4py/PETSc/Log.pyx:633

  id

    The log event identifier.

    Source code at petsc4py/PETSc/Log.pyx:478

  name

    The current event name.

    Source code at petsc4py/PETSc/Log.pyx:541